package dtgateway

import (
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type WorkingPumpLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewWorkingPumpLogic(ctx context.Context, svcCtx *svc.ServiceContext) *WorkingPumpLogic {
	return &WorkingPumpLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *WorkingPumpLogic) WorkingPump(req *types.DcWorkingReq) (resp *types.CommonResponse, err error) {
	list, err := l.svcCtx.OrganizationRpc.GetWorkingPumpByCode(l.ctx, &pb.DcWorkingReq{
		ProjectId:  req.ProjectId,
		DeviceCode: req.DeviceCode,
		Stime:      req.Stime,
		Etime:      req.Etime,
		Page:       req.Page,
		PageSize:   req.PageSize,
		Order:      req.Order,
	})
	if err != nil {
		return nil, err
	}

	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: list,
	}, nil
}
